[Comment Edited] (SUREFIRE-1628) Plugins fail to execute on Maven 3.0.5 and Java 8

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[Comment Edited] (SUREFIRE-1628) Plugins fail to execute on Maven 3.0.5 and Java 8

Denys Galyuk (Jira)

    [ https://issues.apache.org/jira/browse/SUREFIRE-1628?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=17037253#comment-17037253 ]

ArturoMavenUser edited comment on SUREFIRE-1628 at 2/14/20 8:24 PM:
--------------------------------------------------------------------

[~tibordigana] I think I have the same problem, multimodule proyect and the same error message. I use maven-surefire-plugin 3.0.0-M4

I could not reproduced it using the following Maven versions downloaded from the oficial web site: 3.0.5, 3.1.1, 3.2.5, 3.3.9, 3.5.4, 3.6.3

However, if I use the bundled versión from NetBeans 8.2 (which it says is Maven 3.0.5), it shows the error.

*Update:* I have tested using {color:#172b4d}maven-surefire-plugin {color}2.22.2 and bundled {color:#172b4d}NetBeans version (3.0.5) and it does not show the error.{color}


was (Author: arturomavenuser):
[~tibordigana] I think I have the same problem, multimodule proyect and the same error message. I use maven-surefire-plugin 3.0.0-M4

I could not reproduced it using the following Maven versions downloaded from the oficial web site: 3.0.5, 3.1.1, 3.2.5, 3.3.9, 3.5.4, 3.6.3

However, if I use the bundled versión from NetBeans 8.2 (which it says is Maven 3.0.5), it shows the error.

> Plugins fail to execute on Maven 3.0.5 and Java 8
> -------------------------------------------------
>
>                 Key: SUREFIRE-1628
>                 URL: https://issues.apache.org/jira/browse/SUREFIRE-1628
>             Project: Maven Surefire
>          Issue Type: Bug
>          Components: Maven Failsafe Plugin, Maven Surefire Plugin
>    Affects Versions: 3.0.0-M3
>         Environment: maven 3.0.5
> jdk 1.8u111
> sles 12
>            Reporter: Jörg Sesterhenn
>            Priority: Major
>         Attachments: surefire-1628-mwe.zip
>
>
>  The plugin seems to require plexus-java which cannot be found.
> {code:java}
> [ERROR] Failed to execute goal org.apache.maven.plugins:maven-failsafe-plugin:3.0.0-M3:integration-test (default-integration-test) on project MyParentPOM: Execution default-integration-test of goal org.apache.maven.plugins:maven-failsafe-plugin:3.0.0-M3:integration-test failed: Unable to load the mojo 'integration-test' (or one of its required components) from the plugin 'org.apache.maven.plugins:maven-failsafe-plugin:3.0.0-M3': com.google.inject.ProvisionException: Guice provision errors:
> [ERROR] 1) No implementation for org.codehaus.plexus.languages.java.jpms.LocationManager was bound.
> [ERROR] while locating org.apache.maven.plugin.failsafe.IntegrationTestMojo
> [ERROR] at ClassRealm[plugin>org.apache.maven.plugins:maven-failsafe-plugin:3.0.0-M3, parent: sun.misc.Launcher$AppClassLoader@55f96302]
> [ERROR] while locating org.apache.maven.plugin.Mojo annotated with @com.google.inject.name.Named(value=org.apache.maven.plugins:maven-failsafe-plugin:3.0.0-M3:integration-test)
> [ERROR] 1 error
> [ERROR] role: org.apache.maven.plugin.Mojo
> [ERROR] roleHint: org.apache.maven.plugins:maven-failsafe-plugin:3.0.0-M3:integration-test
> [ERROR] -> [Help 1]
> [ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
> [ERROR] Re-run Maven using the -X switch to enable full debug logging.
> [ERROR] For more information about the errors and possible solutions, please read the following articles:
> [ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/PluginContainerException
> {code}
>  



--
This message was sent by Atlassian Jira
(v8.3.4#803005)